# Community Involvement

In a Decentralized Autonomous Organization (DAO), significant elements such as protocol parameters & token distribution are controlled by the community through governance. This governance allows the community to shape & continuously improve the protocol.

However, the role of a community does not stop to suggesting proposals & expressing its opinion through votes. The community can also actively contribute to the success and prosperity of their protocol through constructive debates, mutual help and specific actions.

You can meet Tornado.Cash community on its very own forum & on social medias. Here are useful links to join Tornado.Cash community

* [**Tornado.Cash community forum**](https://torn.community)
* [**Tornado.Cash Discord Server**](https://discord.com/invite/TFDrM8K42j)
* [**Tornado.Cash Telegram Discussions**](https://t.me/TornadoCashOfficial)

_If you are interested, more information is available about_ [_Tornado.Cash governance rules & functioning._](governance.md)

## How to Get Involved?

To help building future enhanced versions of Tornado.Cash, all skills & talents are well welcomed. Involvement opportunities are almost unlimited. Those opportunities involve any function or contribution that improves the protocol and its position within the blockchain ecosystem.

Tornado.Cash community is looking for:

* developers that can help continue building the protocol & its tools;
* auditors who can review code to find bugs and vulnerabilities;
* content creators in order to make educational or promotional content to attract new users to the protocol (videos, blogs, memes, etc.)
* designers that can refine protocol architecture & design;
* potential hires for the DAO;
* ...

## Tornado.Cash Community Fund

On June 2021, Tornado.Cash community has voted the implementation of a community fund to award its key contributors ([proposal #7](https://tornadocash.eth.link/governance/7)). The management of this fund lies between the hand of the community. Tornado.Cash users are the one who decide whose contribution is eligible for a compensation.

###

### Fund Details

Tornado.Cash Community Fund has been allocated 5% of total available TORN of the governance treasury, broken down as follows:

* 5% of the already vested 485.3k TORN at that time, resulting on an **initial transfer of 22.9k TORN** _->_ [_Transaction Details_](https://etherscan.io/tx/0xbe95f4268df2023d9ef234c1eedbb597b99e4c6e7d396d8f521ee482a1d93d47)\
  \_\_
* 5% of the monthly 91.6k that will be vested in the next 12 month, which result on **a monthly transfer of approx. 4.6k TORN** (a total of approx. 55k TORN over a year)

The monthly allocation of the Fund was programmed through [Sablier](https://sablier.finance), a protocol built on Ethereum that allows a live stream of remaining TORNs (second by second) over 12 months.

In total, an amount of approximatively **78k TORN** was allocated to this Community Fund. As of the end of August 2021, the balance of the Community Fund is about \~12.6k TORN vested in Sablier & 15.5k TORN in the Gnosis safe. As of the beginning of 2022, the Community Fund (on Gnosis Safe) balance amounts to \~36.4k TORN.

Tornado.Cash Community Contract is: [0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4](https://gnosis-safe.io/app/#/safes/0xb04E030140b30C27bcdfaafFFA98C57d80eDa7B4/balances).

Funds are handled through a Multi-signature Wallet on Gnosis Safe. Keys to manage this wallet were put between the hand of 5 peer-elected community members. To validate a transaction, a consensus of 4-of-5 signatures is needed.

Those multi-signatures key holders were chosen for their contribution & commitment to Tornado.Cash and its Community. They pledged to sign off transaction following the community instructions. Those guidelines are expressed through forum discussion and corroborated by a Snapshot vote.

All signers also pledged to resign if they no longer fulfill their allegiance to Tornado’s prosperity. They can also be dismissed from their role under the decision of the the community. To reward their commitment as signers & key contributors for Tornado.Cash community, a minimum of 100 TORN per month per signer has been deployed through Sablier.

The current 5 multi-signatures key holders are:

* [0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75](https://etherscan.io/address/0xd26BaA5F41CC7839CEdb020b6d98E1C6e1642D75)
* [0x7c09bCa28ba3DB1CF7cd793696B161261cAC27b5](https://etherscan.io/address/0x7c09bCa28ba3DB1CF7cd793696B161261cAC27b5)
* [0x339B45fBEed1ab46Fe9c11f484b0Ea7220e75300](https://etherscan.io/address/0x339B45fBEed1ab46Fe9c11f484b0Ea7220e75300)
* [0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d](https://etherscan.io/address/0x647e9e26DA82C29AAFbbFB1C3f45d916AA9b300d)
* [0xEA27752f7D6687CB3Be2F180B997713b784c9911](https://etherscan.io/address/0xEA27752f7D6687CB3Be2F180B997713b784c9911)

### How to Claim a Reward?

Each member has the ability to ask the community for a compensation from this fund to reward his/her contribution to Tornado.Cash. Each member also has the ability to request a compensation on behalf of another member to reward him/her for his/her work.

To this extent, a new category titled **« Funding »** has been created on Tornado.Cash discussion forum. By creating a new post in the category, all members can open a funding request to use the Community Fund. Discussions regarding terms & conditions of such a request are discussed on this post.

Once those terms & conditions are fixed, a vote is conducted on Snapshot to validate (or not) such a funding request.

Here is Tornado.Cash Snapshot space:[ https://snapshot.org/#/torn-community.eth](https://snapshot.org/#/torn-community.eth).

![](../.gitbook/assets/page-daccueil.png)

### How to Vote on Snapshot?

Each specific funding request is accompanied by a Snapshot vote, where TORN holders can explicitly express their position. The result of this Snapshot vote provides the final instruction to multi-signature key holders on wether to transfer the decided reward amount to the concerned member.

Each snapshot vote has a `window of 3 days` to accumulate TORN holders votes. When the end date is reached, the Snapshot status goes from`Active` to `Closed`. Community members can no longer vote.

![](../.gitbook/assets/time-window.png)

Multi-signature key holders consider that the funding request is validated by the community if:

* The majority of TORN holders have voted `Accept` rather than `Refuse`.
* The `5,000` TORN quorum has been reached.

All Snapshot funding request are designed the same way: a s**ingle choice voting system** where users decide wether they are **For or Against** the given proposition.

Steps to vote on Snapshot are quite intuitive. The community member needs to:

* Connect the wallet holding TORNs thanks to either MetaMask, WalletConnect or Torus;

![](../.gitbook/assets/connect-wallet.png)

* Cast the vote, by either clicking on `Accept` or `Refuse`;

![](../.gitbook/assets/cast-the-vote.png)

* Confirm the vote.

![](../.gitbook/assets/confirm-the-vote.png)

_Written by_ [_@ayefda_](https://torn.community/u/ayefda)
